Closed Bug 1129193 Opened 5 years ago Closed 4 years ago

[Windows Management][RTL] Inconsistent behavior when going to homescreen after changing from RTL to LTR or vice versa

Categories

(Firefox OS Graveyard :: Gaia::System::Window Mgmt, defect, P3)

ARM
Gonk (Firefox OS)
defect

Tracking

(b2g-v2.2 affected, b2g-master affected)

RESOLVED WORKSFORME
Tracking Status
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: dharris, Unassigned)

References

()

Details

(Whiteboard: [3.0-Daily-Testing])

Attachments

(2 files)

Description:
The user can see an inconsistency when transitioning to homescreen after chaging the language from LTR to RTL or vice versa

Prerequsite: Have language set to english

Repro Steps:
1) Update a Flame to 20150203055641
2) Open Settings app> Languages
3) Select Arabic (عربي)
4) Long press home button, and close all open apps> Observe homescreen Icons
5) Open settings app> Languages
6) Select English
7) Tap the home button to return to the homescreen> Observe homescreen Icons


Actual:
If returning home through task manager the icons can be switching to RTL format. When returning home by tapping the home button, apps are already in the proper LTR layout


Expected:
When the user is returned to the homescreen the format is either already set up, or the user sees the icons switching to the proper format with an animation.

Environmental Variables:
Device: Flame 3.0 (319mb)(Kitkat)(Full Flash)
Build ID: 20150203055641
Gaia: ae5a1580da948c3b9f93528146b007fc4f6a712b
Gecko: ae5d04409cd9
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 38.0a1 (3.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:38.0) Gecko/38.0 Firefox/38.0

Repro frequency: 10/10
See attached: Logcat, Video - http://youtu.be/kULBqwrAVNM
This issue DOES occur on Flame 2.2

If returning home through task manager the icons can be switching to RTL format. When returning home by tapping the home button, apps are already in the proper LTR layout

Environmental Variables:
Device: Flame 2.2
Build ID: 20150203002504
Gaia: cd62ff9fe199fb43920ba27bd5fdbc5c311016fc
Gecko: 11d93135c678
Gonk: e7c90613521145db090dd24147afd5ceb5703190
Version: 37.0a2 (2.2)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0
QA Whiteboard: [QAnalyst-Triage?][rtl-impact]
Flags: needinfo?(pbylenga)
QA Whiteboard: [QAnalyst-Triage?][rtl-impact] → [QAnalyst-Triage+][rtl-impact]
Flags: needinfo?(pbylenga)
triage: low priority, switching from LTR to RTL is not a frequent user activity. As long as the interface is correct and functions properly when exiting from FTE after choosing the appropriate language on initial use, that will meet expectations.
Priority: -- → P3
Please verify once Bug 1111841 lands. thanks
Depends on: 1111841
Keywords: verifyme
Attached video AriesKK_v2.5.3gp
This issue cannot be reproduced on latest FlameKK&AriesKK v2.5 build by the same STR in comment 0.
Actual Result:When the user is returned to the homescreen the format is already set up.
See attachment:AriesKK_v2.5.3gp.
Reproducing rate:0/10

But this issue can be reproduced on latest FlameKK v2.2 build.
Actual Result:If returning home through task manager the icons can be switching to RTL format. When returning home by tapping the home button, apps are already in the proper LTR layout.

Device:FlameKK v2.2 build (Affected)
Build ID               20150818032504
Gaia Revision          335cd8e79c20f8d8e93a6efc9b97cc0ec17b5a46
Gaia Date              2015-08-14 19:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c29970d16372
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150818.065127
Firmware Date          Tue Aug 18 06:51:38 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:FlameKK v2.5 build (Unaffected)
Build ID               20150818150207
Gaia Revision          507ba38fb64b27f87d11f4104dfcc58448e12b1a
Gaia Date              2015-08-18 10:50:12
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2c272af993c23e803f6ea7798a812b0c8abfad4d
Gecko Version          43.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150818.184156
Firmware Date          Tue Aug 18 18:42:07 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:AriesKK v2.5 build (Unaffected)
Build ID               20150818005621
Gaia Revision          60489c1ff8c5d1633fc4837d4f8019623d4e1940
Gaia Date              2015-08-16 02:21:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6ae3e9ff53b2bae8d95a90c9f25368fd81fa357e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150818.003312
Firmware Date          Tue Aug 18 00:33:21 UTC 2015
Bootloader             s1
QA Whiteboard: [QAnalyst-Triage+][rtl-impact] → [QAnalyst-Triage+][rtl-impact][MGSEI-Triage+]
Per comment 4 and this issue cannot be reproduced on latest FlameKK&AriesKK v2.5 build, so change status of the issue from new to worksforme.
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.